\documentclass[ignorenonframetext]{beamer}
% read: http://tug.ctan.org/macros/latex/contrib/beamer/doc/beameruserguide.pdf
%
% compile with e.g.: latexmk -pdf template-slides-dtu-driven.tex
%-------------------------------------------------------------------------------
\usetheme{dtudriven}
%-------------------------------------------------------------------------------
% add the packages that you need below
\usepackage{amsmath}

% add the definitions that you need below
\addbibresource{refs.bib}

%-------------------------------------------------------------------------------
% Basic information

\title%
  [MyShortTitle]%
  {Title of the Best Presentation Ever Made}

\date%
  [MyShortDate]%
  {\today}

\author%
  [MyShortName]%
  {\mainauthor{Name Surname} \and Second Author \and Third Author}

\institute%
  [MyShortInstitution]%
  {The Insititution}

%-------------------------------------------------------------------------------
\begin{document}
%-------------------------------------------------------------------------------
%	TITLE
%-------------------------------------------------------------------------------
\begin{frame}
  \maketitle

  \note{Thank the session chair and mention the co-authors.}
\end{frame}

There may always be some introductory text. It can contain further details.
Such intro text should not appear in the presentation, but only in the article
version.

%-------------------------------------------------------------------------------
%	CONTENTS
%-------------------------------------------------------------------------------
\begin{frame}{Overview}
  \tableofcontents
  % Throughout your presentation, if you choose to use \section{} and
  % \subsection{} commands, these will automatically be printed on this slide as
  % an overview of your presentation
\end{frame}
%-------------------------------------------------------------------------------
% SLIDES
%-------------------------------------------------------------------------------
\section{Introduction}
% ..............................................................................
\begin{frame}{Motivation}

  Let's start with a quote...

  \vspace*{1em}

  % some lines of text
  \begin{quote}
  Data science is a multi-disciplinary field that uses scientific methods,
  processes, algorithms and system to extract knowledge and insights from
  structured and unstructured data. Data science is the same concept as data
  mining and big data: "use the most powerful hardware, the most powerful
  programming systems, and the most efficient algorithms to solve problems".
  \hfill
  \autocite{wiki:datascience}
  \end{quote}

  \vspace*{1em}

  % the same with columns
  \begin{columns}[onlytextwidth,T]
    \begin{column}{0.475\linewidth}
      % use parbox here for block text with hyphenation
      \parbox{\linewidth}{%
      Data science is a multi-disciplinary field that uses scientific methods,
      processes, algorithms and system to extract knowledge and insights from
      structured and unstructured data.}
    \end{column}
    \begin{column}{0.475\linewidth}
      Consider the relation
      \begin{align}
        f(x) = \sum\limits_{n=1}^{\infty} \frac{(-1)^{n+1}}{n} x = x \ln 2
        \,,
        \nonumber
      \end{align}
      which will be used later.
    \end{column}
  \end{columns}

\end{frame}
% ..............................................................................
\begin{frame}{General aspects}

  \begin{figure}
    \begin{tikzpicture}
      \draw[draw=none,fill=black!20] (0,0) rectangle (2,2);
      \draw[draw=DRIVENred,fill=DRIVENblue,very thick] (1,1) circle (0.75cm);
    \end{tikzpicture}
    \caption{An illustration.}
    \label{fig:illustration}
  \end{figure}

  \begin{table}
    \begin{tabularx}{\linewidth}{ X  X  X }
      \toprule
      \textbf{Column One} & \textbf{Column Two} & \textbf{Column Three} \\
      \midrule
      Data set \emph{A} & $1.0$ & $2.0$ \\
      \midrule
      Data set \emph{B} & $\pi$ & $-$ \\
      \bottomrule
    \end{tabularx}
    \caption{Collected data sets.}
    \label{tab:data}
  \end{table}

\end{frame}
%-------------------------------------------------------------------------------
\section{Project overview}
% ..............................................................................
\begin{frame}{Research project}

  \begin{block}{Aim and scope}

    \begin{itemize}
      \item context and state-of-the-art,
      \item issues and challenges,
      \item focus;
    \end{itemize}

  \end{block}

  \begin{block}{Objectives}

    \begin{itemize}
      \item what shall be achieved and what not,
      \item why are you the right person to do it;
    \end{itemize}

  \end{block}

  \begin{block}{Methodology}

    \begin{itemize}
      \item justification of methods to reach objectives,
      \item discussion of techniques and alternatives.
    \end{itemize}

  \end{block}

\end{frame}

% ..............................................................................
\begin{frame}{Research project}{structure and work programme}

  \begin{block}{Work packages}

    \begin{enumerate}
      \item Literature review
        \begin{itemize}
          \item read the book \autocite{gauss1809theoria}
                and the article \autocite{brin1998anatomy},
          \item write state-of-the-art review on the subject;
        \end{itemize}
      \item Data collection and assimilation
        \begin{itemize}
          \item identify proper data collection approach,
          \item collect and process data;
        \end{itemize}
      \item Derive the data-driven model
        \begin{itemize}
          \item set up a neural network (inputs, outputs, layers/neurons),
          \item implement in \texttt{PyTorch} or \texttt{TensorFlow},
          \item train and test.
        \end{itemize}
    \end{enumerate}

  \end{block}

\end{frame}
%-------------------------------------------------------------------------------
\section{Data characteristics}
% ..............................................................................
\begin{frame}{Sparse data}

  Embedding movies in PDF presentations can be tricky.

  \vspace*{1em}

  % ffmpeg -i source.avi -qscale 0 -vcodec libx264 -x264opts keyint=25 smoke.mp4
  %
  % \includemedia[width=1.0\textwidth,height=0.5625\textwidth,activate=pageopen,
  % passcontext,
  % transparent,
  % addresource=smoke.mp4,
  % flashvars={source=smoke.mp4}
  % ]{}{VPlayer.swf}

\end{frame}
%-------------------------------------------------------------------------------
%	ACKNOWLEDGEMENT (mandatory)
%-------------------------------------------------------------------------------
\begin{frame}{Acknowledgement}

  The Doctoral Training Unit
  \textbf{Data-driven computational modelling and applications} (DRIVEN)
  is funded by the Luxembourg National Research Fund
  under the PRIDE programme (PRIDE17/12252781).

  \vspace*{1em}

  \url{https://driven.uni.lu}

  \vspace*{1em}

  \begin{columns}[onlytextwidth,c]
    \column{0.5\textwidth}
    \includegraphics[width=0.8\textwidth]{gfx/logos/dtu-driven-logo}
    \column{0.5\textwidth}
    \raggedleft
    \includegraphics[width=0.8\textwidth]{gfx/logos/fnr-logo}
  \end{columns}

\end{frame}
%-------------------------------------------------------------------------------
%	BIBLIOGRAPHY
%-------------------------------------------------------------------------------
\begin{frame}{Further reading}
  \printbibheading
  \printbibliography[heading=none]
\end{frame}
%-------------------------------------------------------------------------------
\end{document}
